Imports System.Data.SqlClient
Imports System.Globalization

Public Class frmSpeditionsbuchSuche
    Dim SQL As New SQL

   
    ''' <summary>
    ''' Leitet das interne Event vom UserControl nach außen weiter.
    ''' </summary>
    Public Event SendungsdetailsRequested(ByVal AvisoId As Integer, ByVal SendungId As Integer)

    Public Sub New()
        InitializeComponent()
        ' Hier das interne Control-Event abfangen und weiterwerfen:
        AddHandler UsrCntlSpeditionsBuchSuche1.SendungsdetailsRequested,
               AddressOf Me.RaiseSendungsdetailsRequested
    End Sub

    Private Sub RaiseSendungsdetailsRequested(
        ByVal AvisoId As Integer,
        ByVal SendungId As Integer)
        RaiseEvent SendungsdetailsRequested(AvisoId, SendungId)
    End Sub

    Private Sub frmSpeditionsbuchSuche_Load(sender As Object, e As EventArgs) Handles Me.Load
        Me.Height = Screen.FromPoint(Cursor.Position).WorkingArea.Size.Height
        Me.Top = 0
    End Sub

End Class